%define name	mono-debugger
%define version	0.10
%define svn 46231
%define oname debugger
%define release	0.%svn.1mdk
%define libname %mklibname %name 0
%define monodir %_prefix/lib/mono

Summary:	Mono Debugger
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Other
Source0:	%oname-%svn.tar.bz2
Patch:		debugger-44840-wrapper.patch.bz2
Patch1: mono-debugger-0.9-dllmap.patch.bz2
Patch2: mono-debugger-0.10-test.patch.bz2
URL:		http://www.go-mono.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	mono-devel >= 1.1.8
BuildRequires:	libreadline-devel
BuildRequires:  termcap-devel
BuildRequires:	automake1.9
Requires:	mono
Requires: %libname >= %version

%description
The Mono Debugger

%package -n %libname
Group: System/Libraries
Summary: Shared libraries of the Mono Debugger

%description -n %libname
This contains shared libraries used by the Mono Debugger

%package -n %libname-devel
Group: Development/Other
Summary: Headers of the Mono Debugger
Provides: lib%name-devel = %version-%release
Requires: %libname = %version
Requires: %name = %version

%description -n %libname-devel
This contains headers and libraries of the Mono Debugger.


%prep
%setup -q -n %oname
%patch -p1
%patch1 -p1
%patch2 -p1
./autogen.sh || autoconf

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
%if %_lib != lib
mv %buildroot%_libdir/lib/ %buildroot%_prefix
mv %buildroot%_libdir/mono/* %buildroot%monodir
perl -pi -e "s^%_libdir/mono^%monodir^" %buildroot%_bindir/mdb
%endif
install -m 644 wrapper/mdb.exe.config %buildroot%monodir/1.0/

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%monodir/*
%{_libexecdir}/mono-debugger-mini-wrapper
%doc AUTHORS README README.build TODO NEWS ChangeLog RELEASE-NOTES*

%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/lib*.so
%_libdir/lib*a
%{_libdir}/pkgconfig/*

%changelog
* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.10-0.46231.1mdk
- new snapshot

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.10-0.45941.1mdk
- bump deps
- rediff patch 2
- new snapshot

* Thu Jun  2 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.45318.2mdk
- patch to fix test on x86_64
- no more excusivearch

* Thu Jun  2 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.45318.1mdk
- fix buildrequires
- new snapshot

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.4mdk
- fix buildrequires

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.3mdk
- fix deps again

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.2mdk
- fix dll maps
- fix deps

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.1mdk
- initial mdk package

* Tue Dec 9 2003 Martin Baulig <martin@ximian.com> 0.5-1
- initial release
